Name:           brlaser
Version:        4
Release:        1%{?dist}
Summary:        Brother laser open source printer driver

License:        GPLv2
URL:            https://github.com/pdewacht/brlaser
Source0:        https://github.com/pdewacht/brlaser/archive/v4.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  cups-devel
Requires:       cups

%description
brlaser is a CUPS driver for Brother laser printers.

Although most Brother printers support a standard printer language such as PCL or PostScript, not all do. If you have a monochrome Brother laser printer (or multi-function device) and the other open source drivers don't work, this one might help.

This driver is known to work with these printers:

    Brother DCP-1510
    Brother DCP-7030
    Brother DCP-7040
    Brother DCP-7055
    Brother DCP-7055W
    Brother DCP-7065DN
    Brother HL-L2300D
    Brother HL-L2360DW
    Brother MFC-7240
    Brother MFC-7360N

%prep
%autosetup

%build
mkdir build
pushd build
%cmake -DCUPS_SERVER_BIN=%{_libdir}/cups ..
%make_build
popd

%install
pushd build
%make_install
popd

%check
make test

%files
%{_libdir}/cups/filter/rastertobrlaser
%{_datadir}/cups/drv/brlaser.drv

%changelog
* Wed Apr 18 2018 Eldar Yusupov <eyusupov@gmail.com> - 4.1
- Initial release.
